               implicit none
            real*16 vpdry_V_feet,vsdry_V_feet,vpdry_H_feet,vsdry_H_feet
                real*16 vpdry_V_m,vsdry_V_m
                 real*16 vpdry_H_m,vsdry_H_m               
                real*16 depth,rhos
                real*16 conf_pres_feet,conf_pres_Pa,km_V,mu_V,phi,kappa
                real*16 km_H,mu_H
                real*16 poisson_V,poisson_H,x
                real*16 core_depth
c               1 feet = 0.034 m
c                p psi = 6895 Pa 
                vpdry_V_feet=10878.d0    ! f/s  measured Vertical (v33)
                
                vpdry_H_feet=12052.d0    ! f/s  measured Horizontal (v11)
                vsdry_V_feet = 5621.d0   !f/s     measured Vertical )           
                vsdry_H_feet = 6381.d0    !f/s   measured Horizontal 
                
        
                
               core_depth = 3103.9       ! m
               rhos = 2.313d0    ! g/cm^3
               conf_pres_feet = 2500.d0 
               conf_pres_Pa = conf_pres_feet/6895.d0
               
               kappa = 0.15d-18         ! 0.00015 md read from curve at depth 3100m
               phi = 0.053d0  
               
               write(6,*)' Excel data from Ariel'
  
               
               write(6,*)
                write(6,*)'core depth (m)  ',core_depth               
               
               write(6,*)
                write(6,*)' vpdry_V_feet  (f/s) ',vpdry_V_feet
                write(6,*)
                write(6,*)' vsdry_V_feet  (f/s) ',vsdry_V_feet
                
               write(6,*)
                write(6,*)' vpdry_H_feet  (f/s) ',vpdry_H_feet
                write(6,*)
                write(6,*)' vsdry_H_feet  (f/s) ',vsdry_H_feet
                write(6,*)
                write(6,*)' density (gr/cm^3) ',rhos
                
                write(6,*)
                write(6,*)' porosity (%) ',phi*100.d0               
                            write(6,*)
                            
                write(6,*)
                write(6,*)' permeability (md) ',kappa               
                            write(6,*)                           
                            
                write(6,*)' confining pressure (psi) ',conf_pres_feet
                write(6,*)
           

               
c   conversion to MKS units

 
                rhos = rhos*1000.d0
                vpdry_V_m= vpdry_V_feet/3.d0  !m/s
                vsdry_V_m = vsdry_V_feet/3.d0  ! m/s    
                
                 vpdry_H_m= vpdry_H_feet/3.d0  !m/s
                vsdry_H_m = vsdry_H_feet/3.d0  ! m/s               
               
               write(6,*)' vpdry_V_m  (m/s) ',vpdry_V_m
                write(6,*)
               write(6,*)' vsdry_V_m (m/s) ',vsdry_V_m
                  write(6,*)
               write(6,*)' vpdry_H_m  (m/s) ',vpdry_H_m
                write(6,*)
               write(6,*)' vsdry_H_m (m/s) ',vsdry_H_m             
                  write(6,*)
               
               mu_V = vsdry_V_m**2*(1.d0-phi)*rhos
               km_V =  vpdry_V_m**2*(1.d0-phi)*rhos-(4.d0/3.d0)*mu_V
               
               mu_H = vsdry_H_m**2*(1.d0-phi)*rhos
               km_H =  vpdry_H_m**2*(1.d0-phi)*rhos-(4.d0/3.d0)*mu_H   
                write(6,*)
               write(6,*)' parameters computed  from Ariel EXCEL'
               write(6,*)
               write(6,*)' km_V  (Pa)            ',km_V/1.d9
                write(6,*)
               write(6,*)' mu_V  (Pa)            ',mu_V/1.d9
               
               write(6,*)
               write(6,*)' km_H  (Pa)            ',km_H/1.d9
                write(6,*)
               write(6,*)' mu_H  (Pa)            ',mu_H/1.d9             
                write(6,*)
               write(6,*)' phi                 ',phi
                write(6,*)
               write(6,*)' permeab. kappa (m^2)',kappa
                write(6,*)
               write(6,*)' rhos (kg/m^3)       ',rhos 
                write(6,*)
               
               vpdry_V_m =( km_V+(4.d0/3.d0)*mu_V)/((1.d0-phi)*rhos)
               vpdry_V_m = sqrt(vpdry_V_m)
               write(6,*)' check vpdry_V_m  (m/s) ',vpdry_V_m
                write(6,*)
               vsdry_V_m = mu_V/((1.d0-phi)*rhos)
               vsdry_V_m = sqrt(vsdry_V_m)
               write(6,*)' check vsdry_V_m  (m/s) ',vsdry_V_m
                write(6,*)
               x = vpdry_V_m/vsdry_V_m
               poisson_V = (x**2-2.d0)/(2.d0*x**2-2.d0)
               write(6,*)'check Vertical  Poisson ratio  ',poisson_V
                     write(6,*)
                vpdry_H_m =( km_H+(4.d0/3.d0)*mu_H)/((1.d0-phi)*rhos)
               vpdry_H_m = sqrt(vpdry_H_m)
               write(6,*)' check vpdry_H_m  (m/s) ',vpdry_H_m
                write(6,*)
               vsdry_H_m = mu_H/((1.d0-phi)*rhos)
               vsdry_H_m = sqrt(vsdry_H_m)
               write(6,*)' check vsdry_H_m  (m/s) ',vsdry_H_m
                write(6,*)
               x = vpdry_H_m/vsdry_H_m
               poisson_H = (x**2-2.d0)/(2.d0*x**2-2.d0)
               write(6,*)'check Vertical  Poisson ratio  ',poisson_H
               
               stop
               end
